---
updatedAt: 2026-03-30T09:17:42.000Z
agentTools:
  projectIndex: https://developers.bazaarvoice.com/v1.0-ResponseAPI/llms.txt
---

# Get all client response records for the specified review

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Response API",
    "description": "The Bazaarvoice Response API lets you programmatically manage review responses.",
    "contact": {
      "name": "Response API Team",
      "email": "support@bazaarvoice.com"
    },
    "version": "1.0.1-1"
  },
  "servers": [
    {
      "url": "https://stg.api.bazaarvoice.com",
      "description": "STAGING"
    },
    {
      "url": "https://api.bazaarvoice.com",
      "description": "PRODUCTION"
    }
  ],
  "paths": {
    "/response/v1/clientResponses/{client}/reviews/{reviewId}": {
      "get": {
        "tags": [
          "Client Response"
        ],
        "summary": "Get all client response records for the specified review",
        "operationId": "getClientResponseForReview",
        "parameters": [
          {
            "name": "client",
            "in": "path",
            "description": "Specify a client name",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "reviewId",
            "in": "path",
            "description": "Specify a review id",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "passkey",
            "in": "query",
            "description": "Passkey to access the API",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful retrieval of a client response record",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientResponse"
                },
                "example": {
                  "data": [
                    {
                      "type": "clientResponse",
                      "id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
                      "attributes": {
                        "department": "Department name specified by the user",
                        "response": "Response specified by the user",
                        "responseBy": "Optional responder name specified by the user",
                        "responseSource": "Name of Application created for OAuth",
                        "created": "XXXX-XX-XXTXX:XX:XXZ",
                        "updated": "XXXX-XX-XXTXX:XX:XXZ"
                      },
                      "relationships": {
                        "author": {
                          "data": {
                            "type": "author",
                            "id": "Dav OAuth"
                          },
                          "links": {
                            "self": "https://[stg.]api.bazaarvoice.com/response/v1/clientResponses/XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX/relationships/author",
                            "related": "https://[stg.]api.bazaarvoice.com/response/v1/clientResponses/XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX/author"
                          }
                        },
                        "review": {
                          "data": {
                            "type": "review",
                            "id": "{reviewId}",
                            "clientName": "{client}"
                          },
                          "links": {
                            "self": "https://[stg.]api.bazaarvoice.com/response/v1/clientResponses/XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX/relationships/review",
                            "related": "https://[stg.]api.bazaarvoice.com/response/v1/clientResponses/XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX/review"
                          }
                        }
                      },
                      "links": {
                        "self": "https://[stg.]api.bazaarvoice.com/response/v1/clientResponses/XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
                      }
                    }
                  ],
                  "links": {
                    "self": "https://qa.api.bazaarvoice.com/response/v1/response/v1/clientResponses/apitestcustomer/reviews/XXXXXXX"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Incorrect or unknown review id",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "httpCode": 400,
                  "requestURI": "/response/v1/clientResponses/{client}/reviews/{reviewId}",
                  "errors": [
                    {
                      "code": "INVALID_PROPERTY_VALUE",
                      "field": "reviewId",
                      "message": "Review Id does not exist for client"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorised access",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserNotAuthorised"
                },
                "example": {
                  "code": 401,
                  "message": "Credentials are required to access this resource."
                }
              }
            }
          },
          "403": {
            "description": "Unknown or invalid passkey",
            "content": {
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/IncorrectApiKey"
                },
                "example": "<h1>Developer Inactive</h1>"
              }
            }
          }
        },
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ClientResponse": {
        "type": "object",
        "properties": {
          "department": {
            "type": "string"
          },
          "response": {
            "type": "string"
          },
          "responseBy": {
            "type": "string"
          },
          "responseSource": {
            "type": "string"
          },
          "responderClient": {
            "type": "string"
          },
          "created": {
            "type": "integer",
            "format": "int64"
          },
          "updated": {
            "type": "integer",
            "format": "int64"
          }
        },
        "description": "The data associated with a given Client Response record"
      },
      "Error": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ErrorCode"
          },
          "field": {
            "type": "string",
            "description": "The field for which this error applies"
          },
          "message": {
            "type": "string",
            "description": "The human-readable message describing this error"
          }
        },
        "description": "Error relating to an API request"
      },
      "ErrorCode": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string"
          }
        },
        "description": "Error code value"
      },
      "ErrorResponse": {
        "required": [
          "errors",
          "httpCode",
          "requestURI"
        ],
        "type": "object",
        "properties": {
          "httpCode": {
            "type": "integer",
            "description": "The HTTP response code",
            "format": "int32"
          },
          "requestURI": {
            "type": "string",
            "description": "The incoming request URI"
          },
          "errors": {
            "type": "array",
            "description": "The list of detailed errors",
            "items": {
              "$ref": "#/components/schemas/Error"
            }
          }
        },
        "description": "Error Response to an API request"
      },
      "IncorrectApiKey": {
        "type": "string",
        "description": "Message describing the error associated with API"
      },
      "UserNotAuthorised": {
        "type": "object",
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.",
            "default": 403
          },
          "message": {
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "curl -X POST \"https://stg.api.bazaarvoice.com/auth/v1/oauth2/token?passkey={API_PASSKEY}\" \\\n-H \"Content-Type: application/x-www-form-urlencoded\" \\\n-d \"code={AUTHORIZATION_CODE}&grant_type=authorization_code&client_id={CLIENT_ID}&redirect_uri={REDIRECT_URI}&client_secret={CLIENT_SECRET}\"\n"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```